<?php namespace Goods\Api;
use Dever;
use Manage\Lib\Auth;
class Manage extends Auth
{
    # 将sku中的key解析成前端可以读取的格式
    public function keyToField($key)
    {
        if ($key != -1) {
            $result = array();
            $array = explode(',', $key);
            $result['key']['set'] = array();
            foreach ($array as $k => $v) {
                $value = Dever::db('info_spec_value', 'goods')->find($v);
                $spec = Dever::db('info_spec', 'goods')->find($value['spec_id']);
                $result['key']['set']['s_' . $spec['id']] = array($spec['name'], $value['value']);
            }
            return $result;
        }
    }

    # 获取规格
    public function getSku($value = false)
    {
        if (is_array($value)) {
            $value = end($value);
        }
        if (!$value) {
            $result['sku_id']['option'] = array();
            return $result;
        }
        $result = array();
        $result['goods_id']['value'] = $value;
        $sku = Dever::db('info_sku', 'goods')->select(array('info_id' => $value));
        if ($sku) {
            $option = array();
            foreach ($sku as $k => $v) {
                if ($v['key'] != -1) {
                    $spec = Dever::db('info_spec_value', 'goods')->find(array('id' => array('in', $v['key'])), array('col' => 'id,group_concat(value) as name', 'group' => 'info_id'));
                    if ($spec) {
                        $spec['id'] = $v['id'];
                        $option[] = $spec;
                    }
                } else {
                    $option = array();
                }
            }
            $result['sku_id']['option'] = $option;
        }
        
        return $result;
    }
}